Package org.springframework.security.web

# Class WebAttributes

java.lang.Object
org.springframework.security.web.WebAttributes

public final class WebAttributes extends Object
Well-known keys which are used to store Spring Security information in request or session scope.

Since:
  3.0.3

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCESS_DENIED_403`
Used to cache an `AccessDeniedException` in the request for rendering.
`static final String`
`AUTHENTICATION_EXCEPTION`
Used to cache an authentication-failure exception in the session.
`static final String`
`WEB_INVOCATION_PRIVILEGE_EVALUATOR_ATTRIBUTE`
Set as a request attribute to override the default `WebInvocationPrivilegeEvaluator`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### ACCESS_DENIED_403

public static final String ACCESS_DENIED_403
Used to cache an `AccessDeniedException` in the request for rendering.

See Also:
  - `AccessDeniedHandlerImpl`
  - Constant Field Values

### AUTHENTICATION_EXCEPTION

public static final String AUTHENTICATION_EXCEPTION
Used to cache an authentication-failure exception in the session.

See Also:
  - `SimpleUrlAuthenticationFailureHandler`
  - Constant Field Values

### WEB_INVOCATION_PRIVILEGE_EVALUATOR_ATTRIBUTE

public static final String WEB_INVOCATION_PRIVILEGE_EVALUATOR_ATTRIBUTE
Set as a request attribute to override the default `WebInvocationPrivilegeEvaluator`

Since:
  3.1.3
See Also:
  - `WebInvocationPrivilegeEvaluator`